Subject: [MMUSIC] RFC3108 Discrepency Between Text and Grammar

From: "Ian Leighton" <[email-masked]>
Date: 16 Apr 2002 18:10:46 -0400

Hi

The text in RFC3108 section 2.5  indicate that the '$' can used in place
of
an SDP parameter value as a wildcard to indicate that the recipient
should
select a value. This does not seem to be supported in the syntax
described
in section 9.

Does anyone know which takes precedence; the grammar in section 9 or the

text in section 2.5?

Any comments/corrections/clarifications would be appreciated.

Regards
Ian Leighton

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic

---

From: "Rajesh Kumar" <[email-masked]>
Date: Tue, 16 Apr 2002 15:47:42 -0700

Your interpretation of Section 2.5 is incorrect. The statement in Section
2.5 is not a blanket permission to use '$' wherever one wants to. It merely
describes what '$' means where and if it is used.

The ABNF in Section 9 does show the any '$' wildcard (in all those instances
where it is useful. Examples: netttype, at various places in the ATM
address, at various places in the virtual circuit connection ID etc.  Also,
'$' use is described in various sections of RFC 3108, along with examples.
You should use the ABNF in section 9, and the text and examples in the
various sections of RFC 3108 to determine where the use of a '$' wildcard is
appropriate.

I hope this is clear.

Rajesh

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Ian Leighton
> Sent: Tuesday, April 16, 2002 3:11 PM
> To: [email-masked]
> Subject: [MMUSIC] RFC3108 Discrepency Between Text and Grammar
>
>
> Hi
>